package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.entity.Concept;
import com.diagbot.entity.wrapper.ConceptWrapper;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface ConceptService extends IService<Concept> {

    List<ConceptRes> getConcept(ConceptWrapper conceptWrapper);

    List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper);
}
