package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.ConceptRes;
import com.diagbot.dto.ConceptWithOrderRes;
import com.diagbot.dto.GetAllLisConceptDTO;
import com.diagbot.entity.Concept;
import com.diagbot.entity.wrapper.ConceptWrapper;
import com.diagbot.vo.GetAllLisConceptVO;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface ConceptMapper extends BaseMapper<Concept> {
	
	/**
	 * 获取所有化验公表项
	 * @param getAllLisConceptVO
	 * @return
	 */
	List<GetAllLisConceptDTO> getAllLisConcept(GetAllLisConceptVO getAllLisConceptVO);

	List<ConceptRes> getConcept(ConceptWrapper conceptWrapper);

	List<ConceptWithOrderRes> getConceptWithOrder(ConceptWrapper conceptWrapper);
	
}
